summaryrefslogtreecommitdiff
path: root/testsuite/chmod-temp-dir.test
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/chmod-temp-dir.test')
-rw-r--r--testsuite/chmod-temp-dir.test6
1 files changed, 3 insertions, 3 deletions
diff --git a/testsuite/chmod-temp-dir.test b/testsuite/chmod-temp-dir.test
index d31a1bdf..362d9d99 100644
--- a/testsuite/chmod-temp-dir.test
+++ b/testsuite/chmod-temp-dir.test
@@ -1,6 +1,6 @@
-#! /bin/sh
+#!/bin/sh
-# Copyright (C) 2004-2020 Wayne Davison
+# Copyright (C) 2004-2022 Wayne Davison
# This program is distributable under the terms of the GNU GPL (see
# COPYING).
@@ -17,7 +17,7 @@ sdev=`$TOOLDIR/getfsdev $scratchdir`
tdev=$sdev
for tmpdir2 in "${RSYNC_TEST_TMP:-/override-tmp-not-specified}" /run/shm /var/tmp /tmp; do
- [ -d "$tmpdir2" -a -w "$tmpdir2" ] || continue
+ [ -d "$tmpdir2" ] && [ -w "$tmpdir2" ] || continue
tdev=`$TOOLDIR/getfsdev "$tmpdir2"`
[ x$sdev != x$tdev ] && break
done